Bug 652979 - udunits2 contains an embedded copy of expat, prone to CVE-2009-3720
Summary: udunits2 contains an embedded copy of expat, prone to CVE-2009-3720
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: udunits2
Version: 13
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 22:54 UTC by Silvio Cesare
Modified: 2010-12-01 17:34 UTC (History)
2 users (show)

Fixed In Version: udunits2-2.1.19-1.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-24 22:35:09 UTC


Attachments (Terms of Use)

Description Silvio Cesare 2010-11-13 22:54:37 UTC
Description of problem:

udinits2 contains an old embedded version of the expat xml parsing library. Code
inspection shows this embedded copy is vulnerable to CVE-2009-3720 and possibly
other issues.

Version-Release number of selected component (if applicable):

Version: 2.1.11
Release:  1.dc13

Additional info:

The CVE https://bugzilla.redhat.com/show_bug.cgi?id=531697

Ideally, the best solution is to link in the system expat library and not use
the embedded copy. This would help prevent these types of security issues from
reoccuring.

I have marked this issue as a security issue due to the fact that a CVE was
assigned to expat. I have not investigated how this vulnerability would be
triggered by udunits2.

Comment 1 Fedora Update System 2010-11-16 07:36:39 UTC
udunits2-2.1.19-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/udunits2-2.1.19-1.fc13

Comment 2 Fedora Update System 2010-11-16 07:38:03 UTC
udunits2-2.1.19-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/udunits2-2.1.19-1.fc14

Comment 3 Fedora Update System 2010-11-16 07:38:08 UTC
udunits2-2.1.19-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/udunits2-2.1.19-1.el5.1

Comment 4 Fedora Update System 2010-11-16 17:31:13 UTC
udunits2-2.1.19-1.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update udunits2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/udunits2-2.1.19-1.el5.1

Comment 5 Fedora Update System 2010-11-24 22:35:04 UTC
udunits2-2.1.19-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-11-24 22:43:47 UTC
udunits2-2.1.19-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-12-01 17:34:31 UTC
udunits2-2.1.19-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.